Status: Resolved Priority: Should have
Author: Peter Kraume Category: New Package Wizard (FLOW3)
Created: 2008-05-13 Assigned To: David Bruehlmeier
Updated: 2010-10-20 Due date:
Subject: Can't create FLOW3 Package without creating a project before
Description

Not sure if this is a bug or intended, but you have to create a project first. Otherwise the folder property is empty.
The error occured after a fresh PDT installation.

Associated revisions
Revision 884 - 2008-06-03 15:50 - David Bruehlmeier

New projects can now be added directly using the "New FLOW3 Package wizard" (fixes Bug #524).

Revision 884 - 2008-06-03 15:50 - David Bruehlmeier

New projects can now be added directly using the "New FLOW3 Package wizard" (fixes Bug #524).

History
#1 - 2008-05-13 12:28 - David Bruehlmeier
- Status changed from New to Rejected
- % Done changed from 0 to 100

Hi Peter,

it's a feature, not a bug :-) The wizard expects an existing project, typically a PHP project. New packages can only be created in an existing project.

The reason behind it is the fact that DEV3 does not create projects on its own, since it is built on top of existing PHP IDE's, such as Zend's PDT.

Greetings, Dave

#2 - 2008-05-13 12:43 - Sebastian Böttger
- Status changed from Rejected to New

I'd say this is discussuble:
You're right if you say we offer a pckage wizard and not a project wirzard. But I guess it was Martin Holtz who had the same "problem" on the
Developer Days. 
I'd say, regarding the Usability, we should at least offer a possibility that the wizard offers a link to create a new PHP project if none's existing.

Regards
Sebastian
#3 - 2008-05-13 16:23 - David Bruehlmeier
- Status changed from New to Accepted
- % Done changed from 100 to 0

OK, I will add a link to jump to the "Create New Project" Wizard.

#4 - 2008-05-13 16:23 - David Bruehlmeier
- Target version changed from 0.1 to 0.2

#5 - 2008-06-03 15:50 - David Bruehlmeier
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
